Subject: Grape recommendations for South Jersey

From: [email-masked] (MPSHEEHAN)
Date: 15 Mar 1995 19:15:43 -0500

I am looking for grape vines to provide shade over an arbor in the middle
of a community vegetable garden.  My primary concern is disease resistance
and late blooming.  If you have any ideas or local or mail order sources
please let me know.
Patrice